/*
 *
 */
#include <stdio.h>
#include <jsapi_ACEShield.h>
#include "../../FatFS/ff.h"


// Hardware setup and initialization
static void Setup(void);

FATFS   FatFs;
FIL     fil;
char   line[32];
FRESULT fr;

unsigned char spi_txrx(unsigned char data)
    {
    return spi1.Write(data);
    }

int main(void)
    {
    Setup();

    spi1.SetPins(
                &porta, 5, 0,       // SCK
                &porta, 7, 0,       // MOSI
                &porta, 6, 0,       // MISO
                &portb, 6,          // CS
                true                // active LOW
                );
    spi1.MakeSPI(8, 0, 400000);

    SD_ShieldInit();
    f_mount(&FatFs,"",0);
    fr = f_open(&fil,"message.txt",FA_READ);
    if(fr)
        return (int)fr;
    while(f_gets(line,sizeof line,&fil))
        printf(line);
    f_close(&fil);
    spi1.ChipDeselect();
    spi1.Disable();

    while (1)
        {

        }
    return 0;
    }

int putchar(unsigned char ch)
    {
    if (ch == '\n')
        usart2.putchar('\r');
    usart2.putchar(ch);
    return ch;
    }

int getchar(void)
    {
    return usart2.getchar();
    }

static void Setup(void)
    {
    //jsapi_clock.SystemInit(48);
    jsapi_clock.SetSystemClock(0,0,8,0,48);
    jsapi_cortex_core.SysTick_Timer(SYSTICK_MILLISECOND);

    usart2.SetPins(&porta, 2, 1, &porta, 3, 1);
    usart2.MakeUSART(9600, 8, 1, 0);

    printf("\r\nImageCraft JumpStart MicroBox... System running at %dMhz\n", jsapi_clock.GetSysClkFreq() / 1000000);
    }
